Class | Sequel::Oracle::Dataset
In: | lib/sequel/adapters/oracle.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Included Modules

DatasetMethods

### Public Instance methods

fetch_rows(sql) {|row| ...}

[Source]

         # File lib/sequel/adapters/oracle.rb, line 105
    105:       def fetch_rows(sql)
    106:         execute(sql) do |cursor|
    107:           begin
    108:             @columns = cursor.get_col_names.map{|c| output_identifier(c)}
    109:             while r = cursor.fetch
    110:               row = {}
    111:               r.each_with_index {|v, i| row[@columns[i]] = v unless @columns[i] == :raw_rnum_}
    112:               yield row
    113:             end
    114:           ensure
    115:             cursor.close
    116:           end
    117:         end
    118:         self
    119:       end

[Validate]